Package wx :: Package lib :: Package floatcanvas :: Module FloatCanvas

[frames | no frames]

## Module wx.lib.floatcanvas.FloatCanvas

Classes
`Arrow` | Arrow(XY, # coords of origin of arrow (x,y) Length, # length of arrow in pixels theta, # angle of arrow in degrees: zero is straight up # angle is to the right LineColor = "Black", LineStyle = "Solid", LineWidth = 1, ArrowHeadSize = 4, ArrowHeadAngle = 45, InForeground = False): It will draw an arrow , starting at the point, (X,Y) pointing in direction, theta.
`Bitmap` | This class creates a bitmap object, placed at the coordinates, x,y.
`Circle` |
`ColorOnlyMixin` | Mixin class for objects that have just one color, rather than a fill color and line color
`DrawObject` | This is the base class for all the objects that can be drawn.
`Ellipse` |
`FloatCanvas` | FloatCanvas.py
`Line` | The Line class takes a list of 2-tuples, or a NX2 NumPy Float array of point coordinates.
`LineAndFillMixin` | Mixin class for objects that have both a line and a fill color and style.
`LineOnlyMixin` | Mixin class for objects that have just one color, rather than a fill color and line color
`Point` | The Point class takes a 2-tuple, or a (2,) NumPy array of point coordinates.
`PointSet` | The PointSet class takes a list of 2-tuples, or a NX2 NumPy array of point coordinates.
`PointsObjectMixin` | This is a mixin class that provides some methods suitable for use with objects that have a set of (x,y) coordinate pairs.
`Polygon` | The Polygon class takes a list of 2-tuples, or a NX2 NumPy array of point coordinates.
`Rectangle` |
`RectEllipse` |
`ScaledBitmap` | This class creates a bitmap object, placed at the coordinates, XY, of Height, H, in World coorsinates.
`ScaledText` | This class creates a text object that is scaled when zoomed.
`ScaledTextBox` | This class creates a TextBox object that is scaled when zoomed.
`SquarePoint` | The SquarePoint class takes a 2-tuple, or a (2,) NumPy array of point coordinates.
`Text` | This class creates a text object, placed at the coordinates, x,y.
`TextObjectMixin` | A mix in class that holds attributes and methods that are needed by the Text objects
`XYObjectMixin` | This is a mixin class that provides some methods suitable for use with objects that have a single (x,y) coordinate pair.

Exceptions
`FloatCanvasError` |

Function Summary
| `EVT_LEFT_DCLICK(window, function)`
| `EVT_LEFT_DOWN(window, function)`
| `EVT_LEFT_UP(window, function)`
| `EVT_MIDDLE_DCLICK(window, function)`
| `EVT_MIDDLE_DOWN(window, function)`
| `EVT_MIDDLE_UP(window, function)`
| `EVT_MOTION(window, function)`
| `EVT_MOUSEWHEEL(window, function)`
| `EVT_RIGHT_DCLICK(window, function)`
| `EVT_RIGHT_DOWN(window, function)`
| `EVT_RIGHT_UP(window, function)`

Variable Summary
`int` | `EVT_FC_ENTER_OBJECT` = 10314
`int` | `EVT_FC_LEAVE_OBJECT` = 10315
`int` | `EVT_FC_LEFT_DCLICK` = 10305
`int` | `EVT_FC_LEFT_DOWN` = 10303
`int` | `EVT_FC_LEFT_UP` = 10304
`int` | `EVT_FC_MIDDLE_DCLICK` = 10308
`int` | `EVT_FC_MIDDLE_DOWN` = 10306
`int` | `EVT_FC_MIDDLE_UP` = 10307
`int` | `EVT_FC_MOTION` = 10312
`int` | `EVT_FC_MOUSEWHEEL` = 10313
`int` | `EVT_FC_RIGHT_DCLICK` = 10311
`int` | `EVT_FC_RIGHT_DOWN` = 10309
`int` | `EVT_FC_RIGHT_UP` = 10310

Variable Details

### EVT_FC_ENTER_OBJECT

  Type:
    `int`
  Value:

        10314

### EVT_FC_LEAVE_OBJECT

  Type:
    `int`
  Value:

        10315

### EVT_FC_LEFT_DCLICK

  Type:
    `int`
  Value:

        10305

### EVT_FC_LEFT_DOWN

  Type:
    `int`
  Value:

        10303

### EVT_FC_LEFT_UP

  Type:
    `int`
  Value:

        10304

### EVT_FC_MIDDLE_DCLICK

  Type:
    `int`
  Value:

        10308

### EVT_FC_MIDDLE_DOWN

  Type:
    `int`
  Value:

        10306

### EVT_FC_MIDDLE_UP

  Type:
    `int`
  Value:

        10307

### EVT_FC_MOTION

  Type:
    `int`
  Value:

        10312

### EVT_FC_MOUSEWHEEL

  Type:
    `int`
  Value:

        10313

### EVT_FC_RIGHT_DCLICK

  Type:
    `int`
  Value:

        10311

### EVT_FC_RIGHT_DOWN

  Type:
    `int`
  Value:

        10309

### EVT_FC_RIGHT_UP

  Type:
    `int`
  Value:

        10310

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:11 2007 | http://epydoc.sf.net